%global gem_name sqlite3

Summary:        Allows Ruby scripts to interface with a SQLite3 database
Name:           rubygem-%{gem_name}
Version:        1.3.9
Release:        %mkrel 1
Group:          Development/Ruby
License:        BSD
URL:            https://github.com/sparklemotion/sqlite3-ruby
Source0:        http://rubygems.org/gems/%{gem_name}-%{version}.gem
Patch0:         sqlite3-1.3.9-big-endian-arch.patch
BuildRequires: rubygems-devel
BuildRequires:  ruby-devel
BuildRequires:  %{_lib}sqlite3-devel
BuildRequires:  rubygem-rake

%description
SQLite3/Ruby is a module to allow Ruby scripts to interface with a SQLite3
database.

%package doc
Summary: Documentation for %{name}
Group: Documentation
License: BSD and LGPLv2
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
gem unpack %{SOURCE0}
%setup -q -D -T -n  %{gem_name}-%{version}

%patch0 -p1

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
gem build %{gem_name}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
mkdir -p %{buildroot}%{gem_extdir_mri}
cp -a .%{gem_dir}/* %{buildroot}%{gem_dir}/

cp -pa .%{gem_extdir_mri}/* %{buildroot}%{gem_extdir_mri}/

# Prevent dangling symlink in -debuginfo (rhbz#878863).
rm -rf %{buildroot}%{gem_instdir}/ext/

%files
%{gem_extdir_mri}
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gemtest
%doc %{gem_instdir}/README.rdoc
%doc %{gem_instdir}/LICENSE
%{gem_libdir}/
%{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_instdir}/API_CHANGES.rdoc
%doc %{gem_instdir}/CHANGELOG.rdoc
%doc %{gem_instdir}/ChangeLog.cvs
%doc %{gem_instdir}/Manifest.txt
%{gem_instdir}/Rakefile
%{gem_instdir}/Gemfile
%{gem_instdir}/setup.rb
%doc %{gem_docdir}
%doc %{gem_instdir}/faq/
%{gem_instdir}/tasks/
%{gem_instdir}/test/


%changelog
* Sun Nov 02 2014 bb <bb> 1.3.9-1pclos2014
- import
